﻿# Pulling SQL Server Image from Repo
docker pull microsoft/mssql-server-windows-developer:latest

# Image management
# Getting the list of images
docker image ls

#Removing the image
docker image rm <image_id>

# Starting SQL Server image
docker run --name=sqlserver -d -p 1433:1433 -e sa_password=Pas!w0rd12345 -e ACCEPT_EULA=Y microsoft/mssql-server-windows-developer

# Container management
# Getting list of containers
docker container ls -all

# Stopping container (same as "shutdown")
docker container stop sqlserver 

# Inspecting the container 
docker inspect sqlserver

# Getting IPAddress of the container
docker inspect --format='{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' sqlserver

# Pausing the container
docker container pause sqlserver

# Resuming the container
docker container unpause sqlserver

# Stopping the container 
docker container stop sqlserver

# Removing the container
docker container rm sqlserver

# Analyzing networks
docker network list
docker network inspect nat

# Starting the new container with IP address range, 2 CPUs and 2GB of RAM 
Docker run --name sqlserver -d --ip 192.168.113.2  -p 14333:1433 -m 2048m --cpu-count 2 -e sa_password=s@1 -e ACCEPT_EULA=Y microsoft/mssql-server-windows-developer

# Running Docker Build
docker build -t internalsimage . -m 2g

# Running commands within the container - example below starts interactive PS session. Type "Exit" to quit
Docker exec -i internals PowerShell 

# Copy files
# From host to container
docker cp mydb.bak internals:c:\backups\

# From container to host
docker cp internals:c:\backups\ c:\hostfolder\